package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Git;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface GitMapper {

    int insert(Git record);

    int insertSelective(Git record);

    int updateByPrimaryKeySelective(Git record);

    int updateByPrimaryKey(Git record);

    int deleteByPrimaryKey(Git record);

    int deleteByIds(Collection<Object> collection);

    Git selectByPrimaryKey(Git record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Git> dyncRead(Map<String, Object> dyncMap);


}